# $Revision: 1.53 $, $Date: 2012/02/08 23:15:20 $
# TODO: Fix issue with the WORDS_BIGENDIAN macro of autoconf-2.63
# fuse built using autotools is unusable because of it.
#
# Conditional build:
%bcond_with	svga	# do not build svgalib version
%bcond_without	x	# do not build X11 version
%bcond_without	fb	# do not build framebuffer version
%bcond_without	sdl	# do not build SDL version
#
Summary:	Free Unix Spectrum Emulator
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum
Name:		fuse
Version:	1.0.0.1
Release:	5
License:	GPL v2+
Group:		Applications/Emulators
Source0:	http://download.sourceforge.net/fuse-emulator/%{name}-%{version}.tar.gz
# Source0-md5:	e3c0ea98517857f4f13a1d82159f26ff
Patch0:		%{name}-includes.patch
URL:		http://fuse-emulator.sourceforge.net/
%{?with_sdl:BuildRequires:	SDL-devel >= 1.2.4}
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
%{?with_x:BuildRequires:	gtk+2-devel >= 1:2.0.0}
%{?with_fb:BuildRequires:	gpm-devel}
BuildRequires:	libjsw-devel
BuildRequires:	libpng-devel
BuildRequires:	libsamplerate-devel
BuildRequires:	libspectrum-devel >= 1.0.0
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 2.0.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
%{?with_svga:BuildRequires:	svgalib-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

%description -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

%package common
Summary:	Free Unix Spectrum Emulator (common files)
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum (pliki wspólne)
Group:		Applications/Emulators
Requires:	libspectrum >= 0.4.0

%description common
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

This package contains common files for all versions.

%description common -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

W tym pakiecie znajdują się wspólne pliki dla wszystkich wersji.

%package fb
Summary:	Free Unix Spectrum Emulator (framebuffer version)
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum (wersja na framebuffer)
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description fb
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

This package contains files for framebuffer version.

%description fb -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

W tym pakiecie znajdują się pliki dla wersji korzystającej z
framebuffera.

%package sdl
Summary:	Free Unix Spectrum Emulator (SDL version)
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum (wersja na SDL)
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}
Requires:	SDL >= 1.2.4

%description sdl
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

This package contains files for SDL version.

%description sdl -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

W tym pakiecie znajdują się pliki dla wersji korzystającej z SDL.

%package svga
Summary:	Free Unix Spectrum Emulator (svga version)
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum (wersja na svgalib)
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description svga
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

This package contains files for svga version.

%description svga -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

W tym pakiecie znajdują się pliki dla wersji korzystającej z svgalib.

%package X11
Summary:	Free Unix Spectrum Emulator (X11 version)
Summary(pl.UTF-8):	Darmowy uniksowy emulator ZX Spectrum (wersja na XWindow)
Group:		Applications/Emulators
Requires:	%{name}-common = %{version}-%{release}

%description X11
fuse is Free Unix Spectrum Emulator.
What Fuse does have:

* Working 48K/128K/+2/+2A Speccy emulation, running at true Speccy
  speed on any computer you're likely to try it on (it runs at full
  speed on a SparcStation 4 unless you do too much graphics intensive
  stuff).
* Support for loading from .tzx files.
* Sound emulation.
* Emulation of several printers for ZX Spectrum.

This package contains files for X11 version.

%description X11 -l pl.UTF-8
fuse (Free Unix Spectrum Emulator) jest emulatorem ZX Spectrum.
Jego właściwości to:

* Emulacja ZX Spectrum 48K/128K/+2/+2A.
* Możliwość ładowania programów z plików .tzx.
* Dźwięk.
* Emulacja kilku drukarek przeznaczonych dla ZX Spectrum.

W tym pakiecie znajdują się pliki dla wersji X11.

%prep
%setup -q
%patch0 -p1

%build
#%{__libtoolize}
#%{__aclocal}
#%{__autoheader}
#%{__autoconf}
#%{__automake}

# X11
%if %{with x}
%configure  \
	--disable-ui-joystick \
	--with-joystick \
	--with-gtk
%{__make} clean
%{__make}
cp -f fuse fuse-x11
%endif

# SDL
%if %{with sdl}
%configure \
	--enable-ui-joystick \
	--with-sdl
%{__make} clean
%{__make}
cp -f fuse fuse-sdl
%endif

# svga
%if %{with svga}
%configure \
	--enable-ui-joystick \
	--with-svgalib
%{__make} clean
%{__make}
cp -f fuse fuse-svga
%endif

# framebuffer
%if %{with fb}
%configure \
	--with-joystick \
	--with-fb
%{__make} clean
%{__make}
cp -f fuse fuse-fb
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{?with_svga:install fuse-svga	$RPM_BUILD_ROOT%{_bindir}}
%{?with_x:install fuse-x11	$RPM_BUILD_ROOT%{_bindir}}
%{?with_fb:install fuse-fb	$RPM_BUILD_ROOT%{_bindir}}
%{?with_sdl:install fuse-sdl	$RPM_BUILD_ROOT%{_bindir}}

%clean
rm -rf $RPM_BUILD_ROOT

%files common
%defattr(644,root,root,755)
%doc README THANKS AUTHORS keysyms.dat keysyms.pl hacking/*
%{_datadir}/%{name}
%{_mandir}/man1/fuse.1*

%if %{with fb}
%files fb
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fuse-fb
%endif

%if %{with sdl}
%files sdl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fuse-sdl
%endif

%if %{with svga}
%files svga
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fuse-svga
%endif

%if %{with x}
%files X11
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/fuse-x11
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fuse.spec,v $
Revision 1.53  2012/02/08 23:15:20  adamg
- release 5 (rebuild against libpng-1.5)

Revision 1.52  2012/02/07 22:00:45  arekm
- release 4

Revision 1.51  2011/12/20 19:43:16  arekm
- release 3

Revision 1.50  2011/02/27 07:54:26  arekm
- release 2

Revision 1.49  2011/01/13 18:19:48  qboosh
- updated to 1.0.0.1
- removed obsolete svgakeysym patch

Revision 1.48  2010/12/19 06:58:36  qboosh
- updated BRs

Revision 1.47  2010/12/17 09:04:07  witekfl
- 1.0.0
- added the svgakeysym.patch
- svga version doesn't work me

Revision 1.46  2010/11/23 05:49:40  arekm
- release 4

Revision 1.45  2010/11/13 18:54:57  arekm
- rel 3; dropping svgalib from th

Revision 1.44  2010/01/30 23:02:56  megabajt
- release 2

Revision 1.43  2009/05/01 18:01:25  witekfl
- enabled ui joystick (it works better than jsw)
- rel 1

Revision 1.42  2009/04/29 08:10:05  witekfl
- lib765 is no longer used

Revision 1.41  2009/01/17 18:24:16  witekfl
- up to 0.10.0.2
- rel 0.5
- disabled autotools, see TODO
- commented the widget.patch (fuse-svga didn't show menus properly)

Revision 1.40  2009/01/12 20:12:52  arekm
- release 2

Revision 1.39  2008/12/13 11:56:22  qboosh
- removed endian patch, added widget patch (build fix for SDL/X/svga)

Revision 1.38  2008/12/11 11:15:53  lisu
- up to 0.10.0.1
- rm outdated missing.patch
- desc uptade
- libspectrum-devel >= 0.5.0 needed
- autotools should work now
- doesn't build (crash when tryaing to compile widgets)

Revision 1.37  2008/12/06 11:57:55  witekfl
- autotools disabled
- rel 1

Revision 1.36  2008/12/06 09:44:12  witekfl
- up to 0.10.0
- added the TODO and the endian.patch
- BR: libtool
- rel 0.1

Revision 1.35  2008-02-10 19:23:45  witekfl
- added the fbui.patch
- rel 2

Revision 1.34  2008-01-14 23:05:38  qboosh
- updated to 0.9.0
- removed obsolete update,keyboard patches

Revision 1.33  2007-06-17 10:27:35  witekfl
- added keyboard.patch
- rel 2

Revision 1.32  2007/05/16 22:36:54  qboosh
- updated to 0.8.0.1
- updated missing patch

Revision 1.31  2007/04/18 12:00:54  qboosh
- updated to 0.8.0
- removed obsolete gcc4 patch
- removed outdated fb patch (different cmap support introduced, needs recheck)
- added missing patch (missing files from fuse CVS)
- added update patch (fb,svga uis update to make them at least build)

Revision 1.30  2007/02/13 07:16:44  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:50  baggins
- converted to UTF-8

Revision 1.28  2006/02/07 17:42:19  witekfl
- added fb.patch

Revision 1.27  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.26  2005/05/15 18:26:41  witekfl
- added gcc4.patch

Revision 1.25  2004/11/27 18:52:06  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.24  2004/07/24 23:34:33  qboosh
- updated to 0.7.0 - gtk+2 now

Revision 1.23  2004/06/27 17:12:15  qboosh
- now we have svgalib on all supported archs

Revision 1.22  2004/02/21 06:55:04  witekfl
- changed URL for Source0

Revision 1.21  2004/02/21 06:51:06  witekfl
- update to 0.6.2.1

Revision 1.20  2004/02/16 09:47:07  qboosh
- use new bconds, strict internal deps

Revision 1.19  2004/02/16 06:05:04  witekfl
- update to ver. 0.6.2

Revision 1.18  2003/10/04 13:44:16  gotar
- unified bconds

Revision 1.17  2003/08/18 08:08:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/08/15 18:04:34  qboosh
- cleanups

Revision 1.15  2003/07/08 18:26:39  blues
- "f" and some "g" letters of small fixes inpired by kloczek

Revision 1.14  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.13  2003/05/26 16:25:00  malekith
- massive attack: adding Source-md5

Revision 1.12  2003/05/25 05:47:36  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.11  2003/04/27 20:15:02  ankry
- update to 0.6.0 by Witold Filipczyk +
- s/Wolny/Darmowy/, cosmetics

Revision 1.10  2003/01/29 10:01:17  juandon
- added tmx patch
- Release 2

Revision 1.9  2003/01/19 00:22:22  juandon
- removed _xbindir

Revision 1.8  2002/12/10 20:22:48  juandon
- fixed BR

Revision 1.7  2002/12/09 17:25:25  juandon
- upgrade to 0.5.1
- added package for framebuffer
- all packages build --with-glib
- added BR: libspectrum-devel (libspectrum was previously part of fuse)

Revision 1.6  2002/09/16 18:25:44  kloczek
- release 3: fix building on sparc.

Revision 1.5  2002/09/13 15:16:37  kloczek
- added "rm -f missing" on top %build.

Revision 1.4  2002/09/13 09:54:14  undefine
- update to 0.5.0, ac/am use

Revision 1.3  2002/08/29 12:50:36  qboosh
- removed ExclusiveArch - wrong way, ifarch is the right one; release 2

Revision 1.2  2002/08/16 16:33:43  qboosh
- added svgalib for alpha

Revision 1.1  2002/06/01 12:54:33  juandon
- initial release
- download sources, please
- STBR
